The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

PHP 4.4.1 from 4.3.10

Discussion in 'General Discussion' started by neonix, Jan 2, 2006.

  1. neonix

    neonix Well-Known Member

    Joined:
    Oct 21, 2004
    Messages:
    124
    Likes Received:
    2
    Trophy Points:
    0
    Hi,

    I am on RHEL and use php 4.3.10 with zend optimizer and want to upgrade from PHP 4.3.10 to 4.4.1. I clicked on Apache Update and Load previous config and noticed a tick mark against (version 4.3.3) and Version (4.3.11).

    X Php Module (Version 4.3.3)
    Version 4.3.10
    X Version 4.3.11
    Version 4.4.0
    Version 4.4.1
    Version 5.0.4
    Version 5.0.5

    My question is; to build Apache with PHP 4.4.1, do I have to select 4.4.1 only or also keep 4.3.3 selected as it was earlier.

    root@pac3 [/]# php -v
    PHP 4.3.11 (cli) (built: Dec 29 2005 14:46:47)
    Copyright (c) 1997-2004 The PHP Group
    Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
    with Zend Extension Manager v1.0.6, Copyright (c) 2003-2004, by Zend Technologies
    with Zend Optimizer v2.5.7, Copyright (c) 1998-2004, by Zend Technologies

    Thanks for your help.
     
  2. chirpy

    chirpy Well-Known Member

    Joined:
    Jun 15, 2002
    Messages:
    13,475
    Likes Received:
    20
    Trophy Points:
    38
    Location:
    Go on, have a guess
    You need to untick (deselect) the old version and only tick (select) the new version. You will then have to upgrade Zend Optimizer (search the forums) as 2.5.7 won't be compatible with php v4.4.1
     
  3. neonix

    neonix Well-Known Member

    Joined:
    Oct 21, 2004
    Messages:
    124
    Likes Received:
    2
    Trophy Points:
    0
    Thanks for the Zend tip Chirpy, Found these instructions in one of your posts.

    wget http://downloads.zend.com/optimizer/2.5.10/ZendOptimizer-2.5.10a-linux-glibc21-i386.tar.gz
    tar -xzf ZendOptimizer-2.5.10a-linux-glibc21-i386.tar.gz
    cd ZendOptimizer-2.5.10a-linux-glibc21-i386
    sh install.sh


    root@pac3 [~]# php -v
    PHP 4.4.1 (cli) (built: Jan 2 2006 23:30:02)
    Copyright (c) 1997-2004 The PHP Group
    Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
    with Zend Extension Manager v1.0.8, Copyright (c) 2003-2005, by Zend Technologies
    with Zend Optimizer v2.5.10, Copyright (c) 1998-2005, by Zend Technologies

    :)
     
Loading...

Share This Page